LINUX.ORG.RU
ФорумAdmin

apt-get не удаляет пакет.


0

0

Сталкнулся с таким странным глюком, помогите если кто знает как побороть.

Хотел установить DokuWiki. Скачал deb пакет, делаю dpkg -i dokuwiki_0.0.20050922-4_all.deb

Мне на это выдало такую странную ошибку (хотя в обещем не очень странную):

Reloading apache configuration. invoke-rc.d: unknown initscript, /etc/init.d/apache2 not found.

Это при том что у меня используется апач первой весии. =)

Первое что пришло в голову apt-get remove apache2 На это мне сказали:

Пакет apache2 не установлен, поэтому не может быть удалён

Теперь я попробовал его установить apt-get install apache2 и удалить снова. Никаких проблем.

Пробую установить вики заново - та же самая ерунда.

Смотрю вывод locate.. Все бинарники apache2 на месте.. есть файл /etc/default/apache2..

Кажется пакет был когда-то неправильно удален..

Кто знает как с этим бороться? Обалзил все маны по apt и dpkg, так и не нашел как удалить остаток файлов..

Система Debian Sarge, apache запущен.

★★★★

Re: apt-get не удаляет пакет.

Вщт блин ) Пришлось создать пустой /etc/init.d/apache2 сделать его исполняемым удалить apache2-common, потом перустановить dokuwiki..

OxiD ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.